#ifndef CDLGNEWFILE_H
#define CDLGNEWFILE_H

#include <QDialog>
#include "cctrllineedit.h"
namespace Ui {
class CDlgNewFile;
}

class CDlgNewFile : public QDialog
{
    Q_OBJECT

public:
    enum FileStyle
    {
        FILE_DIR,
        FILE_NORMAL,
    };
    explicit CDlgNewFile(QWidget *parent = 0);
    ~CDlgNewFile();
    void SetCreateInfo(const QString& strPath,QString& strName,QString& strRelPath,enum FileStyle eFileStyle);
    void SetFileName(const QString& str);
    void SetRelPath(const QString& str);
    enum FileStyle m_eFileStyle;
    void CreateFileNormal();
    void CreateFilePath();
    QString m_strRelpath;
    void showEvent(QShowEvent *);
private slots:
    void on_buttonBox_accepted();

    void on_buttonBox_rejected();

private:
    Ui::CDlgNewFile *ui;
};

#endif // CDLGNEWFILE_H
